import 'dart:convert';
import 'package:crypto/crypto.dart';

class Helpers {
	/// Serialize object to JSON string without empties
	///
	/// @param value
	/// @return
	static String objectToJson(dynamic value) {
		return jsonEncode(value);
	}

  /// Unserialize JSON to object Map
  static Map<String, dynamic> jsonToMap(String json) {
    return jsonDecode(json);
  }

	/// Helper to hash object by algorith
	///
	/// @param algorith
	/// @param value
	/// @return
	static String hash(String algorith, String value) {
		if (algorith == 'MD5') {
      return md5.convert(utf8.encode(value)).toString();
    }

    if (algorith == 'SHA-256') {
      return sha256.convert(utf8.encode(value)).toString();
    }

    return "";
	}

	/// Trim a string/null value
	///
	/// @param value
	/// @return
	static String? trimValue(String? value) {
		if (value != null) {
			return value.trim();
		}

		return null;
	}

	/// Parse or nullify amount data
	///
	/// @param amount
	/// @return
	static String? parseAmount(double? amount) {
    if (amount == null) {
      return null;
    }

		if (amount > 0) {
			return amount.toString();
		}

		return null;
	}
}