import 'dart:io';
import 'package:flutter/services.dart';
import 'package:json_annotation/json_annotation.dart';
import 'package:pixelpay_sdk/base/helpers.dart';
import 'package:pixelpay_sdk/requests/auth_transaction.dart';
import 'package:pixelpay_sdk/requests/capture_transaction.dart';
import 'package:pixelpay_sdk/requests/card_tokenization.dart';
import 'package:pixelpay_sdk/requests/payment_transaction.dart';
import 'package:pixelpay_sdk/requests/sale_transaction.dart';
import 'package:pixelpay_sdk/requests/status_transaction.dart';
import 'package:pixelpay_sdk/requests/void_transaction.dart';
import 'package:yaml/yaml.dart';

part 'request_behaviour.g.dart';

@JsonSerializable(includeIfNull: false)
class RequestBehaviour {
  /// Environment identifier (live|test|sandbox)
	String? env;

	/// Transaction response messages language
	String? lang;

	/// SDK identifier type
	String? from;

	/// SDK version
	String? sdk_version;

	/// Initialize request
	RequestBehaviour() {
		lang = Platform.localeName.substring(0, 2);
		from = "sdk-flutter";

		if (lang != 'es' && lang != 'en') {
			lang = "es";
		}

		// @TODO: A better way to get version from pubspec.yaml
		sdk_version = '2.0.3';
	}

	/// Serialize object to JSON string
	///
	/// @return
	String toJson() {
		return Helpers.objectToJson(_$RequestBehaviourToJson(this));
	}
}