part of 'request_behaviour.dart';

Map<String, dynamic> _$RequestBehaviourToJson(dynamic instance) {
  final val = <String, dynamic>{};

  void writeNotNull(String key, dynamic value) {
    if (value != null) {
      val[key] = value;
    }
  }

  writeNotNull('env', instance.env);
  writeNotNull('lang', instance.lang);
  writeNotNull('from', instance.from);
  writeNotNull('sdk_version', instance.sdk_version);

  if (instance is StatusTransaction) {
    writeNotNull('payment_uuid', instance.payment_uuid);
  }

  if (instance is CaptureTransaction) {
    writeNotNull('payment_uuid', instance.payment_uuid);
    writeNotNull(
        'transaction_approved_amount', instance.transaction_approved_amount);
  }

  if (instance is VoidTransaction) {
    writeNotNull('payment_uuid', instance.payment_uuid);
    writeNotNull('void_reason', instance.void_reason);
  }

  if (instance is PaymentTransaction || instance is SaleTransaction || instance is AuthTransaction) {
    writeNotNull('payment_uuid', instance.payment_uuid);
    writeNotNull('card_token', instance.card_token);
    writeNotNull('card_number', instance.card_number);
    writeNotNull('card_cvv', instance.card_cvv);
    writeNotNull('card_expire', instance.card_expire);
    writeNotNull('card_holder', instance.card_holder);
    writeNotNull('billing_address', instance.billing_address);
    writeNotNull('billing_country', instance.billing_country);
    writeNotNull('billing_state', instance.billing_state);
    writeNotNull('billing_city', instance.billing_city);
    writeNotNull('billing_zip', instance.billing_zip);
    writeNotNull('billing_phone', instance.billing_phone);
    writeNotNull('customer_name', instance.customer_name);
    writeNotNull('customer_email', instance.customer_email);
    writeNotNull('customer_fingerprint', instance.customer_fingerprint);
    writeNotNull('order_id', instance.order_id);
    writeNotNull('order_currency', instance.order_currency);
    writeNotNull('order_amount', instance.order_amount);
    writeNotNull('order_tax_amount', instance.order_tax_amount);
    writeNotNull('order_shipping_amount', instance.order_shipping_amount);
    writeNotNull('order_content', instance.order_content);
    writeNotNull('order_extras', instance.order_extras);
    writeNotNull('order_note', instance.order_note);
    writeNotNull('order_callback', instance.order_callback);
    writeNotNull(
        'authentication_identifier', instance.authentication_identifier);

    val['authentication_request'] = instance.authentication_request;
  }

  if (instance is CardTokenization) {
    writeNotNull('number', instance.number);
    writeNotNull('cvv2', instance.cvv2);
    writeNotNull('expire_month', instance.expire_month);
    writeNotNull('expire_year', instance.expire_year);
    writeNotNull('cardholder', instance.cardholder);
    writeNotNull('address', instance.address);
    writeNotNull('country', instance.country);
    writeNotNull('state', instance.state);
    writeNotNull('city', instance.city);
    writeNotNull('zip', instance.zip);
    writeNotNull('phone', instance.phone);
    writeNotNull('email', instance.email);
  }

  return val;
}
