import 'package:pixelpay_sdk/base/response.dart';

import '../responses/success_response.dart';

class CardResult {
	/// Card status
	String? status;

	/// Card number masked
	String? mask;

	/// Card network brand
	String? network;

	/// Card type (debit/credit)
	String? type;

	/// Car bin number
	String? bin;
	
	/// Card last 4 numbers
	String? last;

	/// Card unique hash number
	String? hash;

	/// Billing address
	String? address;

	/// Billing country
	String? country;

	/// Billing state
	String? state;

	/// Billing city
	String? city;

	/// Billing postal code
	String? zip;

	/// Billing customer email
	String? email;

	/// Billing phone
	String? phone;

	/// Validate if response type is valid for parse
	/// 
	/// @param response
	/// @return
	static bool validateResponse(Response response) {
		return response is SuccessResponse;
	}

	/// Convert success response to card entity
	/// 
	/// @param response
	/// @return
	static CardResult fromResponse(SuccessResponse response) {
    return CardResult()
      ..status = response.data!['status'] as String?
      ..mask = response.data!['mask'] as String?
      ..network = response.data!['network'] as String?
      ..type = response.data!['type'] as String?
      ..bin = response.data!['bin'] as String?
      ..last = response.data!['last'] as String?
      ..hash = response.data!['hash'] as String?
      ..address = response.data!['address'] as String?
      ..country = response.data!['country'] as String?
      ..state = response.data!['state'] as String?
      ..city = response.data!['city'] as String?
      ..zip = response.data!['zip'] as String?
      ..email = response.data!['email'] as String?
      ..phone = response.data!['phone'] as String?;
	}
}
