import 'package:pixelpay_sdk/base/helpers.dart';
import 'package:sprintf/sprintf.dart';

class Card {
	/// Card number or PAN
	String? number;

	/// Card security code
	String? cvv2;

	/// Card expire month date (MM)
	int? expire_month;

	/// Card expire year date (YYYY)
	int? expire_year;

	/// Cardholder name
	String? cardholder;

	/// Get expire ISO format (YYMM)
	/// 
	/// @return
	String? getExpireFormat() {
		String year = (expire_year != 0) ? expire_year.toString() : "    ";
		String month = sprintf('%02d', [expire_month ?? "  "]).toString();

		return Helpers.trimValue(year.substring(year.length - 2) + month);
	}
}
