class Item {
	/// Item identifier code or UPC/EAN
	String? code;

	/// Item product title
	String? title;

	/// Item per unit price
	double price = 0.00;

	/// Item quantity
	int qty = 1;

	/// Item tax amount per unit
	double tax = 0.00;

	/// Item total value
	double total = 0.00;

	/// Totalize item price by quantity
	/// 
	/// @return
	Item totalize() {
		total = price * qty;

		return this;
	}

  /// Serialize object to JSON string
  ///
  /// @return
  Map<String, dynamic> toJson() {
    final val = <String, dynamic>{};

    void writeNotNull(String key, dynamic value) {
      if (value != null) {
        val[key] = value;
      }
    }

    writeNotNull('code', code);
    writeNotNull('title', title);
    writeNotNull('price', price);
    writeNotNull('qty', qty);
    writeNotNull('tax', tax);
    writeNotNull('total', total);

    return val;
  }
}
