import 'package:flutter_test/flutter_test.dart';
import 'package:pixelpay_sdk/models/card.dart';

void main() {
  test('testCardIsEmpty', () {
    final card = Card();

		expect(card.number, null);
		expect(card.cvv2, null);
		expect(card.expire_month, null);
		expect(card.expire_year, null);
		expect(card.cardholder, null);
  });

  test('testSetupCard', () {
    final card = Card();

		card.number = "4111 4111 4111 4111";
		card.cvv2 = "009";
		card.expire_year = 2025;
		card.expire_month = 12;
		card.cardholder = "Carlos Agaton";

		expect(card.number != null, true);
		expect(card.cvv2 != null, true);
		expect(card.expire_month != null, true);
		expect(card.expire_year != null, true);
		expect(card.cardholder != null, true);

		expect(card.number, "4111 4111 4111 4111");
		expect(card.cvv2, "009");
		expect(card.expire_month, 12);
		expect(card.expire_year, 2025);
		expect(card.cardholder, "Carlos Agaton");
  });

  test('testGetExpireFormat', () {
    final card = Card();

		card.expire_month = 12;
		card.expire_year = 2025;

		expect(card.getExpireFormat(), '2512');
  });
}